# Class FindRareAaIntervals

java.lang.Object
org.snpeff.codons.FindRareAaIntervals

public class FindRareAaIntervals extends Object
Find intervals where rare amino acids occur

Author:
  pablocingolani

## Field Summary

Fields
Modifier and Type
Field
Description
`static final double`
`RARE_THRESHOLD`

## Constructor Summary

Constructors
Constructor
Description
`FindRareAaIntervals(Genome genome)`

## Method Summary

Modifier and Type
Method
Description
`Collection<RareAminoAcid>`
`findRareAa(String proteinFastaFile)`
Find all sites having rare amino acids
`double`
`getRareThreshold()`
`void`
`setRareThreshold(double rareThreshold)`
`void`
`setVerbose(boolean verbose)`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### RARE_THRESHOLD

public static final double RARE_THRESHOLD

See Also:
  - Constant Field Values

## Constructor Details

### FindRareAaIntervals

public FindRareAaIntervals(Genome genome)

## Method Details

### findRareAa

public Collection<RareAminoAcid> findRareAa(String proteinFastaFile)
Find all sites having rare amino acids

Parameters:
  `proteinFastaFile` -

### getRareThreshold

public double getRareThreshold()

### setRareThreshold

public void setRareThreshold(double rareThreshold)

### setVerbose

public void setVerbose(boolean verbose)

### toString

public String toString()

Overrides:
  `toString` in class `Object`